Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.selector
Class TopListSelector

    java.lang.Object
      org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.localsearch.decider.selector.AbstractSelector
              org.drools.planner.core.localsearch.decider.selector.TopListSelector

All Implemented Interfaces:
  EventListener, DeciderAware, Selector, LocalSearchSolverPhaseLifecycleListener

    public class TopListSelector

extends AbstractSelector

Field Summary

Fields inherited from class org.drools.planner.core.localsearch.decider.selector.AbstractSelector
`decider, logger`

Constructor Summary
`TopListSelector()`

Method Summary
`Iterator<Move>` | `moveIterator(LocalSearchStepScope localSearchStepScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `setTopSize(int topSize)`
`void` | `stepTaken(LocalSearchStepScope localSearchStepScope)`

Methods inherited from class org.drools.planner.core.localsearch.decider.selector.AbstractSelector
`setDecider`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`beforeDeciding, phaseEnded, stepDecided`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`beforeDeciding, phaseEnded, stepDecided`

Constructor Detail

### TopListSelector

    public TopListSelector()

Method Detail

### setTopSize

    public void setTopSize(int topSize)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### moveIterator

    public Iterator<Move> moveIterator(LocalSearchStepScope localSearchStepScope)

### stepTaken

    public void stepTaken(LocalSearchStepScope localSearchStepScope)

  Specified by:
    `stepTaken` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepTaken` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.